gnutls_pkcs11_privkey_generate(3)

NAME
gnutls_pkcs11_privkey_generate - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_privkey_generate(const char * url, gnutls_pk_algorithm_t pk, unsigned int bits, const char * label, unsigned int flags);

ARGUMENTS

const char * url
    a token URL

gnutls_pk_algorithm_t pk
    the public key algorithm

unsigned int bits
    the security bits

const char * label
    a label

unsigned int flags
    should be zero

DESCRIPTION
This function will generate a private key in the specified by the url token. The private key will be generate within the token and will not be exportable.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/